Subject: Re: [PATCH v2 3/4] cat-file --textconv/--filters: allow specifying the path separately

From: Junio C Hamano <[email-masked]>
Date: Wed, 31 Aug 2016 13:17:56 -0700

Johannes Schindelin <[email-masked]> writes:

> However, I do not want to hold this patch series up just by being
> stubborn.

Peff and I disussed this further in the thread in which the message
<[email-masked]> appears, and agreed
that it does not matter that much either way.

The comment to [v2 2/4] would be more important than this one, I
would think.  What should happen when a blob that is not ISREG is
given to filter_object()?  Giving a symlink contents as-is without
filtering would be OK.  Erroring out saying "regular file blob
expected" just like the function reacts to non-blob is also OK.
Just being silent and not doing anything is probably not.

Thanks.